ghc-lib-parser-9.12.2.20250421: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Parser.HaddockLex

Synopsis

- lexHsDoc :: P (LocatedN RdrName) -> HsDocString -> HsDoc GhcPs
- lexStringLiteral :: P (LocatedN RdrName) -> Located StringLiteral -> Located (WithHsDocIdentifiers StringLiteral GhcPs)

# Documentation

lexHsDoc Source #

Arguments

:: P (LocatedN RdrName) | A precise identifier parser
-> HsDocString |
-> HsDoc GhcPs |

Lex identifiers from a docstring.

lexStringLiteral Source #

Arguments

:: P (LocatedN RdrName) | A precise identifier parser
-> Located StringLiteral |
-> Located (WithHsDocIdentifiers StringLiteral GhcPs) |

Lex `StringLiteral` for warning messages